Starmade | Enter does not confirm for any input control
Resolved, needs quality check / confirm fix, Pre-Release Quality AssurancePublic

Description

Mentioned in T224, but usually not a big deal.

Typing anything inside a textfield and pressing Enter (or Escape), does not do anything. The only way to apply your new input, is to manually click somewhere else so that the input loses focus and triggers the change to apply.

This type of input is mainly used for menus such as the Effect Config editor and the Ruleset Editor. It is annoying that several of your changes were not applied because you forgot to click somewhere to just unfocus + apply a change.
Most other menus that use this input, usually have a "OK" button or "Apply" button separate which at least reinforces that you have to manually do something before the change is applied.

Details

Commits
Restricted Diffusion Commit
Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.201.313
Category
Ingame GUI/HUD
First occurrence (version)
0.201.3xx
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce
  1. Use any input of the Effect config editor or the Ruleset editor
  2. Move on to another tab without having unfocused that input first
  3. Go back and notice your change was not applied
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Dec 1 2018, 3:50 PM
Restricted Application added a project: GUI/HUD. · View Herald TranscriptDec 1 2018, 3:50 PM
schema changed the task status from "In Queue" to "Resolved" by committing Restricted Diffusion Commit.Dec 2 2018, 12:17 PM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptDec 2 2018, 12:17 PM
Restricted Application added a subscriber: AndyP. · View Herald Transcript
AndyP moved this task from Backlog / Unclassed to Alpha on the GUI/HUD board.Jan 22 2019, 9:25 AM